Batch Query Orders by Order ID
Response Example
{
"success": true,
"code": 0,
"data": [
{
"orderId": "743829153601634818",
"symbol": "BTC_USDT",
"positionId": 0,
"price": 100000,
"priceStr": "100000",
"vol": 10,
"leverage": 20,
"side": 1,
"category": 1,
"orderType": 1,
"dealAvgPrice": 0,
"dealAvgPriceStr": "0",
"dealVol": 0,
"orderMargin": 5,
"takerFee": 0,
"makerFee": 0,
"profit": 0,
"feeCurrency": "USDT",
"openType": 2,
"state": 2,
"externalOid": "_m_a6e614e4107e4d13893f9f4a3f46d2d8",
"errorCode": 0,
"usedMargin": 0,
"createTime": 1763013089831,
"updateTime": 1763013089904,
"positionMode": 2,
"reduceOnly": false,
"version": 1,
"showCancelReason": 0,
"showProfitRateShare": 0,
"bboTypeNum": 0,
"totalFee": 0,
"zeroSaveTotalFeeBinance": 0,
"zeroTradeTotalFeeBinance": 0
}
]
}
- GET
//api/v1/private/order/batch_query
Required Permission: View Order Details
Request Parameters:
| Parameter | Type | Required | Description |
|---|---|---|---|
| order_ids | long | true | Array of order IDs, comma-separated, e.g.: order_ids = 1,2,3 (max 50 orders): |
Response Parameters:
| Parameter | Type | Description |
|---|---|---|
| orderId | long | Order ID |
| symbol | string | Contract |
| positionId | long | Position id |
| price | decimal | Order price |
| vol | decimal | Order quantity |
| leverage | long | Leverage |
| side | int | Order side 1: open long,2: close short,3: open short,4: close long |
| category | int | Order category:1: limit,2: liquidation custody,3: custody close,4: ADL reduction |
| dealAvgPrice | decimal | Average deal price |
| dealVol | decimal | Deal quantity |
| orderMargin | decimal | Order margin |
| takerFee | decimal | Taker fee |
| makerFee | decimal | Maker fee |
| profit | decimal | Close PnL |
| feeCurrency | string | Fee currency |
| openType | int | Open type,1: isolated,2: cross |
| state | int | Order status,1: pending,2: unfilled,3: filled,4: canceled,5: invalid |
| externalOid | string | External order ID |
| createTime | date | Created time |
| updateTime | date | Updated time |
| bboTypeNum | int | Limit order type - BBO type; 0: not BBO;1: best opposite 1;2: best opposite 5;3: same-side 1;4: same-side 5; |
| lossTrend | int | Stop-loss price type;1: latest price;2: fair price;3: index price |
| profitTrend | int | Take-profit price type; |
| takeProfitPrice | decimal | Take-profit price |
| stopLossPrice | decimal | Stop-loss price |
| priceProtect | int | Price difference protection 1: on;0: off |
| positionMode | int | Position mode;1: dual-side;2: one-way |